Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.jobmanager.config
Class JobListenerDefinition

    java.lang.Object
      com.bea.p13n.jobmanager.config.JobListenerDefinition

All Implemented Interfaces
  JobListenerBean

    public class JobListenerDefinition

extends Object
implements JobListenerBean

Represents a `JobListener` definition.

Constructor Summary
`JobListenerDefinition(String name)`

Method Summary
`String` | `getClassName()` Value of parameter
`String` | `getName()` Name of parameter
`void` | `setClassName(String className)`
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobListenerDefinition

    public JobListenerDefinition(String name)

Method Detail

### getName

    public String getName()

  Description copied from interface: `JobListenerBean`
  Name of parameter

  Specified by:
    `getName` in interface `JobListenerBean`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `JobListenerBean`

### getClassName

    public String getClassName()

  Description copied from interface: `JobListenerBean`
  Value of parameter

  Specified by:
    `getClassName` in interface `JobListenerBean`

### setClassName

    public void setClassName(String className)

  Specified by:
    `setClassName` in interface `JobListenerBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.